Skip to main content
POST
Build organizational on-device model

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

Query Parameters

impulseId
integer

Impulse ID. If this is unset then the default impulse is used.

Body

application/json
engine
enum<string>
required
Available options:
tflite,
tflite-eon,
tflite-eon-ram-optimized,
tensorrt,
tensaiflow,
drp-ai,
tidl,
akida,
syntiant,
memryx,
neox,
ethos-linux,
st-aton,
ceva-npn,
nordic-axon,
vlm-connector
deployBlockId
integer
required
modelType
enum<string>
Available options:
int8,
float32,
akida
parameters
object

List of custom parameters for this deployment job (see the list of parameters that the block exposes in DeploymentTarget#parameters).

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

id
integer
required

Job identifier. Status updates will include this identifier.

Example:

12873488112

deploymentVersion
integer
required

Deployment version, use downloadHistoricDeployment to later download the deployment using this identifier.

error
string

Optional error description (set if 'success' was false)